- Qt 6.6
- Qt Sensors
- C++ Classes
- QMagnetometer
- Qt 6.6.2 Reference Documentation

# QMagnetometer Class

The QMagnetometer class is a convenience wrapper around QSensor. More...

Header: | #include <QMagnetometer>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Sensors) target_link_libraries(mytarget PRIVATE Qt6::Sensors)
qmake: | QT += sensors
Inherits: | QSensor

- List of all members, including inherited members

## Properties

- returnGeoValues : bool

## Public Functions

| QMagnetometer(QObject *parent = nullptr)
virtual | ~QMagnetometer()
QMagnetometerReading * | reading() const
bool | returnGeoValues() const
void | setReturnGeoValues(bool returnGeoValues)

## Signals

void | returnGeoValuesChanged(bool returnGeoValues)

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QMagnetometerReading instead of a QSensorReading.

For details about how the sensor works, see QMagnetometerReading.

See also QMagnetometerReading.

## Property Documentation

### returnGeoValues : bool

This property holds a value indicating if geomagnetic values should be returned.

Set to true to return geomagnetic flux density. Set to false (the default) to return raw magnetic flux density.

The property must be set before calling start().

Access functions:

bool | returnGeoValues() const
void | setReturnGeoValues(bool returnGeoValues)

Notifier signal:

void | returnGeoValuesChanged(bool returnGeoValues)

## Member Function Documentation

### `[explicit]` QMagnetometer::QMagnetometer(QObject *parent = nullptr)

Construct the sensor as a child of parent.

### `[virtual noexcept]` QMagnetometer::~QMagnetometer()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QMagnetometerReading *QMagnetometer::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().